[Numpy-discussion] I want to help with a numpy python 3.1.x port

René Dudfield renesd@gmail....
Fri Sep 18 15:18:14 CDT 2009


hi,

Added a numpy/compat.py file from pygame.

This defines these things for compatibility:
__all__ = ['geterror', 'long_', 'xrange_', 'ord_', 'unichr_',
'unicode_', 'raw_input_']


geterror() is useful for exceptions compatible between py3k and pyv2...

As in py3k you can't do this:
    except ImportError, e:

So with geterror() it's like this:
    except ImportError:
        e = compat.geterror()


The other ones are just compatibility versions of stuff that's missing.


If numpy/compat.py is the wrong place please let me know.


cheers,


ps. Also... I've asked Lenard, and Marcus from the pygame project if
they mind giving their py3k related code from the LGPL pygame to numpy
and Marcus has said yes.  Marcus doesn't have the time for (yet
another) project... but is willing to answer questions if we have any
issues.  Haven't heard back from Lenard yet... so better wait off
before importing the pygame code into numpy until he gives the all
clear.

pps.  I was wrong about the -3 flag for python2.6... that only warns
about stuff it knows 2to3 can not handle.  2to3 comes with python2.6
as well as python3.0/3.1.


More information about the NumPy-Discussion mailing list